ETS 2 ModsETS2 Skin

ETS2 – Aircargo Skin for Krone Dryliner (1.38.x)

Krone DLC required.
Supported game versions: ETS2 – (1.38.x)

Authors: SCS
Modstudio2
johnodee

Leave a Reply

Your email address will not be published. Required fields are marked *

Back to top button
Close